Loading...
Searching...
No Matches
casacore::TableParsePair Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TableParseTableList.h>`

## Public Member Functions

| TableParsePair ()
| TableParsePair (const Table &table, Int tabnr, const String &name, const String &shorthand, Int joinIndex=-1)
| Associate the table and the shorthand.
Bool | test (const String &str) const
| Test if shorthand matches.
Int | tabnr () const
| Get the given table number (of $i tables in TempTables).
const String & | name () const
| Get the given table name.
const String & | shorthand () const
| Get the shorthand.
const Table & | table () const
| Get table object.
Table & | table ()
TableExprInfo | getTableInfo () const
| Get it as a TableExprInfo object.
Int | joinIndex () const
| Get the index of the table in the list of join objects.
void | replaceTable (const Table &table)
| Replace the Table object.

## Private Attributes

Int | tabnr_p
Int | joinIndex_p
String | name_p
String | shorthand_p
Table | table_p

## Detailed Description

Class binding a shorthand to a table name.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

This class is used by TableParse to associate a Table object and its shorthand name (as used in TaQL).

Definition at line 55 of file TableParseTableList.h.

## Constructor & Destructor Documentation

## TableParsePair() [1/2]

casacore::TableParsePair::TableParsePair | ( |  | ) |

inline

Definition at line 59 of file TableParseTableList.h.

## TableParsePair() [2/2]

casacore::TableParsePair::TableParsePair | ( | const Table & | table,
|  | Int | tabnr,
|  | const String & | name,
|  | const String & | shorthand,
|  | Int | joinIndex = -1 )

Associate the table and the shorthand.

The full name and the table number (from $i) can also be given.

References joinIndex(), name(), shorthand(), table(), and tabnr().

## Member Function Documentation

## getTableInfo()

TableExprInfo casacore::TableParsePair::getTableInfo | ( |  | ) | const

Get it as a TableExprInfo object.

## joinIndex()

Int casacore::TableParsePair::joinIndex | ( |  | ) | const

inline

Get the index of the table in the list of join objects.

<0 means that it is no join table.

Definition at line 95 of file TableParseTableList.h.

References joinIndex_p.

Referenced by TableParsePair().

## name()

const String & casacore::TableParsePair::name | ( |  | ) | const

inline

Get the given table name.

Definition at line 77 of file TableParseTableList.h.

References name_p.

Referenced by TableParsePair().

## replaceTable()

void casacore::TableParsePair::replaceTable | ( | const Table & | table | ) |

inline

Replace the Table object.

Definition at line 99 of file TableParseTableList.h.

References table(), and table_p.

## shorthand()

const String & casacore::TableParsePair::shorthand | ( |  | ) | const

inline

Get the shorthand.

Definition at line 81 of file TableParseTableList.h.

References shorthand_p.

Referenced by TableParsePair().

## table() [1/2]

Table & casacore::TableParsePair::table | ( |  | ) |

inline

Definition at line 87 of file TableParseTableList.h.

References table_p.

## table() [2/2]

const Table & casacore::TableParsePair::table | ( |  | ) | const

inline

Get table object.

Definition at line 85 of file TableParseTableList.h.

References table_p.

Referenced by replaceTable(), and TableParsePair().

## tabnr()

Int casacore::TableParsePair::tabnr | ( |  | ) | const

inline

Get the given table number (of $i tables in TempTables).

Definition at line 73 of file TableParseTableList.h.

References tabnr_p.

Referenced by TableParsePair().

## test()

Bool casacore::TableParsePair::test | ( | const String & | str | ) | const

inline

Test if shorthand matches.

If also matches if the given shorthand is empty.

Definition at line 69 of file TableParseTableList.h.

References casacore::String::empty(), and shorthand_p.

## Member Data Documentation

## joinIndex_p

Int casacore::TableParsePair::joinIndex_p

private

Definition at line 104 of file TableParseTableList.h.

Referenced by joinIndex().

## name_p

String casacore::TableParsePair::name_p

private

Definition at line 105 of file TableParseTableList.h.

Referenced by name().

## shorthand_p

String casacore::TableParsePair::shorthand_p

private

Definition at line 106 of file TableParseTableList.h.

Referenced by shorthand(), and test().

## table_p

Table casacore::TableParsePair::table_p

private

Definition at line 107 of file TableParseTableList.h.

Referenced by replaceTable(), table(), and table().

## tabnr_p

Int casacore::TableParsePair::tabnr_p

private

Definition at line 103 of file TableParseTableList.h.

Referenced by tabnr().

The documentation for this class was generated from the following file:

- tables/TaQL/TableParseTableList.h